{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}
{% import "macros/genLoading.html.twig" as ld %}
{% block moreCss %}
    <link href="{{ asset('dropify/css/dropify.css') }}" rel="stylesheet">

{% endblock %}
{% block body %}
    <div class="card-genossys">
        <h5>Data Nomor Rekening</h5>
        <div class="pb-5">
            <div class="float-right">
                <a class="btn btn-primary" id="addBank">Master Data Bank</a>
                <a class="btn btn-primary" id="addData">Tambah Data Rekening</a>
            </div>
        </div>
        {{ dt.datatable }}
    </div>

    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <form id="formCategori" method="post" onsubmit="return cekData()">
                    <input id="action" name="action" hidden>
                    <input id="id" name="id" hidden>
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Tambah Data Rekening</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="databank">Nama Bank</label>
                            <select id="databank" class="form-control" name="bank" style="width: 100%">
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="number">Nomor Rekening : </label>
                            <input type="number" class="form-control" required id="number" name="number" placeholder="Masukkan nomor rekening">
                        </div>
                        <div class="form-group">
                            <label for="holderName">Nama Pemegang : </label>
                            <input type="text" class="form-control" required id="holderName" name="holderName" placeholder="Masukkan nama">
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Simpan</button>
                    </div>

                </form>
            </div>
        </div>
    </div>


    <div class="modal fade" id="modal-bank" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content " style="min-height: 50vh">
                <div class="modal-body">
                    <div class="pb-5">
                        <div class="float-right">
                            <a class="btn btn-primary" id="addBankData">Tambah Data Bank</a>
                        </div>
                    </div>
                    {{ dt.datatable('bank_master') }}
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="modal-bank-data" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content ">
                <form id="formMaster" method="post" enctype="multipart/form-data">
                    <input id="action" name="action" hidden>
                    <input id="id" name="id" hidden>
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Tambah Data Bank</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="bankName">Nama Bank :</label>
                            <input type="text" class="form-control" required id="bankName" name="name" placeholder="Masukkan nama Bank">
                        </div>
                        <div class="form-group">
                            <label for="bankCode">Kode Bank : </label>
                            <input type="number" class="form-control" required id="bankCode" name="code" placeholder="Masukkan kode bank">
                        </div>
                        <div class="form-group">
                            <label for="subjek">Icon : </label>
                            <div class="input-field" id="div-img">
                                <input type="file" onchange="" id="icon" class="icon" data-min-height="10"
                                       data-height="150"
                                       accept="image/jpeg, image/jpg, image/png"
                                       data-allowed-file-extensions="jpg jpeg png"
                                />
                            </div>
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Simpan</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
    {{ ld.modal_loading() }}
{% endblock %}
{% block javascripts %}
    <script src="{{ asset('dropify/js/dropify.js') }}"></script>
    <script type="text/javascript"
            src="https://cdn.jsdelivr.net/npm/browser-image-compression@latest/dist/browser-image-compression.js"></script>
    <script>
        $(document).ready(function () {
            getCodeBank('databank');
            $('#databank').select2();

        });
        $(document).on('click', 'a#addData', function () {
            $('#databank').val('').select2();
            $('#modal #id').val('');
            $('#modal #number').val('');
            $('#modal #holderName').val('');
            $('#modal #action').val('add');
            $('#modal').modal();
        });

        $(document).on('click', 'a#addBank', function () {

            $('#modal-bank').modal();
        });

        $(document).ready(function () {
            var fr = $('#formMaster');
            fr.submit(async function (e) {
                e.preventDefault(e);
                var formData = new FormData(this);

                alertify.confirm("Tambah Data Subject", "Apakah data yang anda masukkan sudah benar ?",
                    async function () {
                        $('#loading').modal();

                        if ($('#modal-bank-data #icon').val()) {
                            let icon = await handleImageUpload($('#icon'));

                            formData.append('icon', icon, icon.name);
                        }
                        console.log(formData);

                        $.ajax({
                            url:"{{ path('master-bank') }}",
                            type: "POST",
                            success: function (data) {
                                $('#loading').modal('hide');
                                $('#modal-bank-data').modal('hide');
                                $('#bank_master').DataTable().ajax.reload();
                                getCodeBank('databank');

                            },
                            error: function (error) {
                                console.log("LOG ERROR", error);
                                // handle error
                            },
                            async: true,
                            data: formData,
                            cache: false,
                            contentType: false,
                            processData: false,
                            timeout: 60000
                        })
                    }, function () {

                    }
                )

            });

        });

        $(document).on('click', 'a#deleteAccount', function () {
            var data = {
              'id' : $(this).data('cred')
            };
            alertify.confirm('Warning', 'Apakah anda yakin untuk menghapus data', function () {
                $.post('{{ path('delete-bank') }}', data, function (dat) {
                    if(dat['code'] === 200){
                        alertify.notify(data['status'], data['label'], 5, function () {
                        });
                        $('#tableData').DataTable().ajax.reload();
                    }else{
                        alertify.notify('Data tidak dihapus', 'danger', 5, function () {
                        });
                    }
                })
            }, function () {

            });

        });

        $(document).on('click', 'a#addBankData', function () {
            $('#modal-bank-data #id').val('');
            $('#modal-bank-data #action').val('add');
            $('#modal-bank-data #bankName').val('');
            $('#modal-bank-data #bankCode').val('');
            var icon = $('.icon').dropify({
                defaultFile: '',
                messages: {
                    'default': 'Masukkan Gambar Icon',
                    'replace': 'Drag and drop or click to replace',
                    'remove': 'Remove',
                    'error': 'Ooops, something wrong happended.'
                }
            });
            icon = icon.data('dropify');
            icon.resetPreview();
            icon.clearElement();
            $('#modal-bank-data').modal();
        });

        $(document).on('click', 'a#editBank', function () {
            $('#modal-bank-data #id').val($(this).data('cred'));
            $('#modal-bank-data #action').val('edit');
            $('#modal-bank-data #bankName').val($(this).data('name'));
            $('#modal-bank-data #bankCode').val($(this).data('code'));
            var icon = $('.icon').dropify({
                defaultFile: '',
                messages: {
                    'default': 'Masukkan Gambar Icon',
                    'replace': 'Drag and drop or click to replace',
                    'remove': 'Remove',
                    'error': 'Ooops, something wrong happended.'
                }
            });
            icon = icon.data('dropify');
            icon.resetPreview();
            icon.clearElement();
            icon.settings.defaultFile = $(this).data('icon');
            icon.destroy();
            icon.init();
            $('#modal-bank-data').modal();
        });

        $(document).on('click', 'a#editData', function () {
            var holderName = $(this).data('holdername');
            var number = $(this).data('number');
            var bank = $(this).data('bankid');
            var id = $(this).data('cred');
            $('#modal #id').val(id);
            $('#modal #number').val(number);
            $('#modal #holderName').val(holderName);
            $('#databank').val(bank).select2();
            $('#modal #action').val('edit');
            $('#modal').modal();
        });

        function cekData() {
            if ($('#databank').val() === null) {
                alertify.alert('Warning', 'Harus memilih bank')
            } else {
                alertify.confirm('Info', 'Apakah data yang anda masukkan sudah benar ?', function () {
                    $('#loading').modal();
                    // document.getElementById('formCategori').submit();
                    $.post('{{ path('bank') }}', $('#formCategori').serialize(), function (dat) {
                        if(dat['code'] === 200){
                            alertify.notify('Berhasil ditambahkan', 'success', 5, function () {
                            });
                            $('#tableData').DataTable().ajax.reload();
                        }else{
                            alertify.notify('Gagal ditambahkan', 'warning', 5, function () {
                            });
                        }
                        $('#loading').modal('hide');
                        $('#modal').modal('hide');

                    })
                }, function () {
                })
            }
            return false;
        }


    </script>
    {{ dt.datatableJS(class, space, tableAction, tableFields ,where,groupBy,'yes','yes', 'tableData', false, order) }}
    {{ dt.datatableJS(classBank, space, aksi, tableFieldsBank ,where,groupBy,'yes','yes', 'bank_master', false, orderMaster) }}
{% endblock %}